Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.schema
Class ValidationProblem

    java.lang.Object
      org.infinispan.schematic.internal.schema.ValidationProblem

All Implemented Interfaces:
  SchemaLibrary.Problem

Direct Known Subclasses:
  ValidationTypeMismatchProblem

    public class ValidationProblem

extends Object
implements SchemaLibrary.Problem

Constructor Summary
`ValidationProblem(SchemaLibrary.ProblemType type, Path path, String reason, Throwable cause)`

Method Summary
`Throwable` | `getCause()` Get the exception that was the cause of this problem, if there was an exception.
`Path` | `getPath()` The path to the field about which this problem applies.
`String` | `getReason()` Get the message describing the problem.
`SchemaLibrary.ProblemType` | `getType()` Get the type of problem.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationProblem

    public ValidationProblem(SchemaLibrary.ProblemType type,
                             Path path,
                             String reason,
                             Throwable cause)

Method Detail

### getType

    public SchemaLibrary.ProblemType getType()

  Description copied from interface: `SchemaLibrary.Problem`
  Get the type of problem.

  Specified by:
    `getType` in interface `SchemaLibrary.Problem`
  Returns:
    the type; never null

### getPath

    public Path getPath()

  Description copied from interface: `SchemaLibrary.Problem`
  The path to the field about which this problem applies.

  Specified by:
    `getPath` in interface `SchemaLibrary.Problem`
  Returns:
    the path; never null

### getReason

    public String getReason()

  Description copied from interface: `SchemaLibrary.Problem`
  Get the message describing the problem.

  Specified by:
    `getReason` in interface `SchemaLibrary.Problem`
  Returns:
    the message; never null

### getCause

    public Throwable getCause()

  Description copied from interface: `SchemaLibrary.Problem`
  Get the exception that was the cause of this problem, if there was an exception.

  Specified by:
    `getCause` in interface `SchemaLibrary.Problem`
  Returns:
    the exception; may be null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.